<?php
include_once 'bd.php';

class Professor{

    public $bd;
    
    public $id;
    public $nome;
    public $cpf;
    public $senha;
    public $sexo;
    public $cor;
    public $categorias;
    public $email;
    public $telefone;
    public $celular;

    public function __construct() {
        $this->bd = new BD();
    }
    
    public function inserir(){
        $sql = "INSERT INTO imediaco_geo.professor (nome, cpf, senha, sexo, cor, categorias, email, telefone,celular)
                VALUES ('$this->nome', '$this->cpf', ('$this->senha'), '$this->sexo', '$this->cor', '$this->categorias','$this->email', '$this->telefone', '$this->celular')";

        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('inserir professor', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao inserir professor";
            return false;
        }
    }
    
    public function editar(){
        $sql = "UPDATE imediaco_geo.professor SET
                nome = '$this->nome'
                ,cpf = '$this->cpf'
                ,senha = ('$this->senha')
                ,sexo = '$this->sexo'
                ,cor = '$this->cor'
                ,categorias = '$this->categorias'
                ,email = '$this->email'
                ,telefone = '$this->telefone'
                ,celular = '$this->celular'               
                WHERE id = '$this->id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('editar professor', $sql, null);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao editar professor";
            return false;
        }
    }
    
    public function encontrar($id){
        $sql = "SELECT * FROM imediaco_geo.professor WHERE id = '$id'";
        $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        $obj = $this->bd->getObjeto();
        
        $this->id = $obj->id;
        $this->nome = $obj->nome;
        $this->cpf = $obj->cpf;
        $this->senha = $obj->senha;
        $this->sexo = $obj->sexo;
        $this->cor = $obj->cor;
        $this->categorias = $obj->categorias;
        $this->email = $obj->email;
        $this->telefone = $obj->telefone;
        $this->celular = $obj->celular;


        return $obj;
    }

    public function encontrarPorCpf($cpf){
        $sql = "SELECT * FROM imediaco_geo.professor WHERE cpf = '$cpf'";
        $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        $obj = $this->bd->getObjeto();
        
        $this->id = $obj->id;
        $this->nome = $obj->nome;
        $this->cpf = $obj->cpf;
        $this->senha = $obj->senha;
        $this->sexo = $obj->sexo;
        $this->cor = $obj->cor;
        $this->categorias = $obj->categorias;
        $this->email = $obj->email;
        $this->telefone = $obj->telefone;
        $this->celular = $obj->celular;


        return $obj;
    }

    public function alterarSenha($professor_id, $novasenha){
        $sql = "UPDATE imediaco_geo.professor SET senha = md5('$novasenha') WHERE id = '$professor_id'";
        $executou = $this->bd->executarSQL($this->bd->substituiVazioPorNull($sql));
        if($executou){
            $this->bd->log('alterar senha equipe', $sql, $professor_id);
            return true;
        }else{
            $_SESSION[erro][] = "Erro ao alterar a senha da equipe";
            return false;
        }
    }
}
